import e from "./isArray.js";
import t from "./_baseUnary.js";
import n from "./identity.js";
import r from "./_arrayMap.js";
import i from "./_baseGet.js";
import a from "./_baseIteratee.js";
import o from "./_baseMap.js";
import s from "./_baseSortBy.js";
import c from "./_compareMultiple.js";
//#region ../../node_modules/lodash-es/_baseOrderBy.js
function l(l, u, d) {
	u = u.length ? r(u, function(t) {
		return e(t) ? function(e) {
			return i(e, t.length === 1 ? t[0] : t);
		} : t;
	}) : [n];
	var f = -1;
	return u = r(u, t(a)), s(o(l, function(e, t, n) {
		return {
			criteria: r(u, function(t) {
				return t(e);
			}),
			index: ++f,
			value: e
		};
	}), function(e, t) {
		return c(e, t, d);
	});
}
//#endregion
export { l as default };
